Read a hosted world session
curl --request GET \
--url https://api.firedrill.run/v1/projects/{projectId}/sessions/{sessionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/sessions/{sessionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firedrill.run/v1/projects/{projectId}/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemaVersion": 1,
"organizationId": "<string>",
"projectId": "<string>",
"environmentId": "<string>",
"sessionId": "<string>",
"buildHash": "<string>",
"seed": "<string>",
"callbackReceiverBindingIds": [],
"state": "creating",
"leaseGeneration": 4503599627370495,
"createdAtMs": 0,
"updatedAtMs": 0,
"expiresAtMs": 0,
"version": 0,
"drillId": "<string>",
"scenarioId": "<string>",
"warmPool": {
"state": "preparing",
"setupHash": "<string>"
},
"parentSessionId": "<string>",
"parentHostedSnapshotId": "<string>",
"destroyedAtMs": 0
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Read a hosted world session
Read a hosted world session
Authorizations
Opaque control credential
Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Pattern:
^ses_[0-9a-z]{12,32}$Response
Hosted world session
Available options:
1 Pattern:
^org_[0-9a-z]{12,32}$Pattern:
^prj_[0-9a-z]{12,32}$Pattern:
^env_[0-9a-z]{12,32}$Pattern:
^ses_[0-9a-z]{12,32}$Pattern:
^sha256:[0-9a-f]{64}$Required string length:
1 - 20Maximum array length:
64Pattern:
^cbr_[0-9a-z]{12,32}$Available options:
creating, warming, ready, resetting, degraded, expired, destroying, destroyed Required range:
0 < x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Run-ready setup from this drill. Mutually exclusive with scenarioId; omit both selectors for the build baseline.
Required string length:
1 - 96Pattern:
^[a-z][a-z0-9]*(?:[-_][a-z0-9]+)*$Standalone setup from this compiled scenario, without a drill or target. Mutually exclusive with drillId.
Required string length:
1 - 96Pattern:
^[a-z][a-z0-9]*(?:[-_][a-z0-9]+)*$Explicitly reserved warm-world lineage. Only claimed worlds can become ready for agent access.
Show child attributes
Show child attributes
Pattern:
^ses_[0-9a-z]{12,32}$Pattern:
^hsnap_[0-9a-z]{12,32}$Required range:
-9007199254740991 <= x <= 9007199254740991